AUTHSELECT(8)

NAME
authselect - selecionar identidade do sistema e fontes de autenticação.

SINOPSE

    authselect [--debug] [--trace] [--warn] comando [opções do comando]

DESCRIÇÃO

Authselect é uma ferramenta para configurar a identidade do sistema e fontes de autenticação e provedores selecionando um perfil específico. Perfil é um conjunto de arquivos que descreve como a configuração resultante do sistema será. Quando um perfil é selecionado, authselect irá criar nsswitch.conf (5) e pilhas PAM (8) para usar a identidade e as fontes de autenticação definidas pelo perfil.

Se o conjunto de perfis disponível não é suficiente, o administrador pode criar um perfil customizado colocando-o em diretório especial ("/etc/authselect/custom"). Ao fazê-lo, o perfil torna-se imediatamente usável pelo authselect Veja authselect-profiles(5) para mais informações sobre a extensão de perfis existentes.

ATIVAR O AUTHSELECT

Authselect não mudará sua configuração atual exceto se for criada por ele. Se você quiser começar a usar o authselect para configurar a autenticação do seu sistema, chame authselect select com o parâmetro --force antes (i.e. authselect select sssd --force) O parâmetro --force diz ao authselect que é autorizado sobrescrever configurações existentes e não criadas por ele (veja a descrição abaixo). Usar o parâmetro --force vai automaticamente gerar uma cópia da sua configuração corrente para caso você queira retornar a ela, podes restaurá-la com o comando * authselect backup-restore* (veja a descrição abaixo).

DESATIVAR O AUTHSELECT

Para impedir que o authselect gerencie sua configuração, execute authselect opt-out. Isso removerá todas as configurações do authselect do seu sistema e você poderá modificá-las manualmente.

COMANDOS DISPONÍVEIS

Pata listar todos os comandos disponíveis execute authselect sem parâmetros. Para mostrar ajuda para o comando selecionado execute authselect COMANDO --help.

select profile_id [features] [-f, --force] [-q, --quiet] [-b] [--backup=NOME]
    Ativa o perfil desejado. Veja sua descrição com o comando show para listar recursos opcionais específicos do perfil.

    --force, -f
        Escreve as mudanças mesmo se a configuração prévia não foi criada pelo authselect, mas por outra ferramenta ou mudanças manuais. Essa opção vai automaticamente fazer backup dos arquivos do sistemas antes de fazer quaisquer mudanças exceto se a opção --nobackup for definida.

    -b
        Faz backup dos arquivos do sistema antes de ativar o perfil selecionado. O backup será guardado em "/var/lib/authselect/backups"/NOME. Hora atual com linha única é usada como nome do backup. Esse é um atalho para --backup=.

    --backup=NOME
        Faz backup dos arquivos do sistema antes de ativar o perfil selecionado. O backup será guardado em "/var/lib/authselect/backups"/NOME. Hora atual com linha única é usada como nome se nenhum valor for dado.

    --nobackup
        Não faz backup dos arquivos do sistema mesmo se --forcce estiver ativa.

    --quiet, -q
        O comando não mostrará nenhuma mensagem informacional, tal como requisitos adicionais de perfil ou local do backup. Erros ainda estão sendo mostrados.

apply-changes [-b] [--backup=NOME]
    Reaplica o perfil atualmente selecionado. Se os leiautes do perfil foram atualizados esse comando pode ser usado para regenerar a configuração do sistema para permitir a aplicação dessas mudanças no sistemas. Esse comando só reaplicará as modificações se a configuração existente for uma configuração authselect válida. Caso não, um erro é mostrado.

    -b
        Faz backup dos arquivos do sistema antes de aplicar as mudanças. O backup será guardado em "/var/lib/authselect/backups"/NOME. Hora atual com linha única é usada como nome do backup. Isso é um atalho para --backup=

    --backup=NOME
        Faz backup dos arquivos do sistema antes de aplicar as alterações. O backup será armazenado em "/var/lib/authselect/backups"/NOME. A hora atual com uma string exclusiva será usada como nome se nenhum valor for fornecido.

list
    Lista perfis disponíveis.

list-features id_perfil
    Lista todos os recursos disponíveis no perfil fornecido. Observação: Isso listará apenas os recursos, sem nenhuma descrição. Leia a documentação do perfil com mostrar para ver o que os recursos fazem.

show id_perfil
    Imprime informações sobre o perfil.

requirements id_perfil [recursos]
    Imprime informações sobre os requisitos do perfil.

current [-r, --raw]
    Imprime informações sobre os perfis selecionados no momento. Se a opção --raw for especificada, o comando imprimirá os parâmetros brutos conforme foram passados para o comando select, em vez da saída formatada.

check
    Verifica se a configuração atual é válida (foi criada pelo authselect ou não há sobras da configuração anterior do authselect).

test id_perfil [opções] [recursos]
    Imprime o conteúdo dos arquivos gerados por authselect sem realmente gravar nada na configuração do sistema.

    -a, --all
        Imprime o conteúdo de todos os arquivos.

    -n, --nsswitch
        Imprime o conteúdo de nsswitch.conf.

    -s, --system-auth
        Imprime o conteúdo de system-auth.

    -p, --password-auth
        Imprime o conteúdo de password-auth.

    -c, --smartcard-auth
        Imprime o conteúdo de smartcard-auth.

    -f, --fingerprint-auth
        Imprime o conteúdo de fingerprint-auth.

    -o, --postlogin
        Imprime o conteúdo de postlogin.

    -d, --dconf-db
        Imprime o conteúdo de banco de dados de dconf;

    -l, --dconf-lock
        Imprime o conteúdo de bloqueio de dconf.

enable-feature recurso [-b] [--backup=NOME] [-q, --quiet]
    Habilita o recurso no perfil selecionado no momento.

    -b
        Faz backup dos arquivos do sistema antes de habilitar o recurso. O backup será guardado em "/var/lib/authselect/backups"/NOME. A hora atual com uma linha exclusiva é usada como nome do backup. Este é um atalho para --backup=.

    --backup=NOME
        Faz backup dos arquivos do sistema antes de habilitar o recurso. O backup será guardado em "/var/lib/authselect/backups"/NOME. A hora atual com uma linha exclusiva é usada como nome se nenhum valor for fornecido.

    --quiet, -q
        O comando não mostrará nenhuma mensagem informacional, tal como requisitos adicionais de perfil ou local do backup. Erros ainda estão sendo mostrados.

disable-feature recurso [-b] [--backup=NOME]
    Desabilita o recurso no perfil selecionado no momento.

    -b
        Faz backup dos arquivos do sistema antes de desabilitar o recurso. O backup será guardado em "/var/lib/authselect/backups"/NOME. A hora atual com uma linha exclusiva é usada como nome do backup. Este é um atalho para --backup=.

    --backup=NOME
        Faz backup dos arquivos do sistema antes de desabilitar o recurso. O backup será guardado em "/var/lib/authselect/backups"/NOME. A hora atual com uma linha exclusiva é usada como nome se nenhum valor for fornecido.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NOME [--vendor,-v] [opções]
    Cria um novo perfil personalizado chamado NOME. O perfil pode ser baseado em um perfil existente, caso em que os novos modelos de perfil serão copiados do perfil base ou links simbólicos para esses arquivos serão criados, se essa opção for selecionada.

    --vendor,-v
        O novo perfil é um perfil de fornecedor em vez de um perfil personalizado. Consulte authselect-profiles(5) para obter mais informações sobre os tipos de perfil.

    --base-on=ID-BASE, -b=ID-BASE
        O novo perfil será baseado em um perfil denominado ID-BASE. O local do perfil base é determinada através das seguintes etapas:

            1. Se ID-BASE começar com o prefixo custom/, é um perfil personalizado.

            2. Verifica se ID-BASE é encontrado nos perfis dos fornecedores.

            3. Verifica se ID-BASE é encontrado nos perfis padrões.

            4. Retorna um erro.

    --base-on-default
        O perfil base é um perfil padrão, mesmo que também seja encontrado em perfis de fornecedores.

    --symlink-meta
        Meta-arquivos, como README e REQUIREMENTS, serão links simbólicos para os arquivos de perfil de origem, em vez de suas cópias.

    --symlink-nsswitch
        O modelo nsswitch.conf será um link simbólico para o arquivo de perfil de origem em vez de sua cópia.

    --symlink-pam
        Os modelos PAM serão links simbólicos para os arquivos de perfil de origem em vez de suas cópias.

    --symlink-dconf
        Os modelos dconf serão links simbólicos para os arquivos de perfil de origem em vez de suas cópias.

    --symlink=ARQUIVO,-s=ARQUIVO
        Cria um link simbólico para um arquivo de modelo FILE em vez de criar sua cópia. Esta opção pode ser passada várias vezes.

COMANDOS DE BACKUP

Esses comandos podem ser usados para gerenciar configurações de backup.

backup-list [-r, --raw]
    Imprime os backups disponíveis. Se a opção --raw for especificada, o comando imprimirá apenas os nomes dos backups, sem qualquer formatação ou informação adicional.

backup-remove BACKUP
    Exclui permanentemente o backup chamado BACKUP.

backup-restore BACKUP
    Restaura a configuração do backup chamado BACKUP. Observação: isso substituirá a configuração atual.

OUTROS COMANDOS

opt-out
    Remove a configuração do authselect. Isso restaurará a configuração do nsswitch e do PAM em seu local de sistema e o authselect não os gerenciará mais. Execute authselect select para ativar novamente.

OPÇÕES COMUNS

Essas opções estão disponíveis com todos os comandos.

--debug
    Imprime informações de depuração e mensagens de erro.

--trace
    Imprime informações sobre o que a ferramenta está fazendo.

--warn
    Imprime informações sobre situações inesperadas que não afetam a execução do programa, mas podem indicar algumas situações indesejadas (por exemplo, arquivo inesperado em um diretório de perfil).

RESOLVENDO PROBLEMAS

  Como posso saber se meu sistema está usando authselect?

Use authselect check. A saída informará se você tem 1) configuração gerada pelo authselect, 2) configuração não-authselect ou 3) configuração gerada pelo authselect, mas modificada manualmente em algum momento.

  O nsswitch.conf deveria ser um link simbólico agora?

O authselect gera a configuração do seu sistema do zero e a armazena em "/etc/authselect". Os arquivos do sistema são então criados como links simbólicos para este diretório. Links simbólicos são usados para deixar claro que o authselect agora é o proprietário da sua configuração e deve ser usado em vez de qualquer modificação manual.

  Erro: Mudanças inesperadas na configuração foram detectadas.

Por exemplo:

    [error] [/etc/authselect/nsswitch.conf] não existe!
    [error] [/etc/nsswitch.conf] não é um link simbólico!
    [error] [/etc/nsswitch.conf] não foi criado por authselect!
    [error] Mudanças inesperadas na configuração foram detectadas.
    [error] Recusando-se a ativar o perfil, a menos que essas alterações sejam removidas ou sobrescreva-se.

Isso significa que sua configuração é desconhecida para authselect e, portanto, não será modificada. Para corrigir isso, chame authselect select com o parâmetro --force para indicar que não há problema em sobrescrevê-la.

CÓDIGOS DE RETORNO

O authselect pode retornar estes códigos de saída:

    • 0: Sucesso.

    • 1: Erro genérico.

    • 2: Não foi possível encontrar o perfil ou a configuração, ou o sistema não foi configurado com authselect.

    • 3: A configuração atual não é válida, ela foi editada sem authselect.

    • 4: A configuração do sistema deve ser substituída para ativar um perfil authselect, o parâmetro --force é necessário.

    • 5: O comando executado deve ser executado como root.

    • 6: Nenhuma configuração foi detectada.

ARQUIVOS GERADOS

O authselect cria e mantém os seguintes arquivos para configurar corretamente os provedores de identidade e autenticação do sistema.

"/etc/nsswitch.conf"
    Arquivo de configuração do Name Service Switch.

"/etc/pam.d"/system-auth
    A pilha PAM incluída em quase todos os arquivos de configuração de serviço individuais.

"/etc/pam.d"/password-auth, smartcard-auth, fingerprint-auth
    Essas pilhas de PAM são para aplicativos que lidam com autenticação de diferentes tipos de dispositivos por meio da execução simultânea de conversas individuais em vez de uma conversa agregada.

"/etc/pam.d"/postlogin
    O objetivo desta pilha PAM é fornecer um local comum para todos os módulos PAM que devem ser chamados após a pilha configurada em system-auth ou em outros arquivos de configuração PAM comuns. Ela está incluída em todos os arquivos de configuração de serviço individuais que fornecem serviço de login com acesso a shell ou arquivo. NOTA: os módulos no arquivo de configuração postlogin são executados independentemente do sucesso ou falha dos módulos no arquivo de configuração system-auth.

"/etc/dconf/db/distro.d"/"20-authselect"
    Mudanças no banco de dados dconf. O principal uso deste arquivo é definir alterações na tela de login do GNOME para habilitar ou desabilitar a autenticação por cartão inteligente e impressão digital.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Este arquivo define bloqueios em valores definidos no banco de dados dconf.

VEJA TAMBÉM

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)